### Method

# Gtk Notebook prepend_page

#### Declaration [src]

    int
    gtk_notebook_prepend_page (
      GtkNotebook* notebook,
      GtkWidget* child,
      GtkWidget* tab_label
    )

#### Description [src]

Prepends a page to `notebook`.

#### Parameters

`child`

  Type: `GtkWidget`

  The `GtkWidget` to use as the contents of the page.

  The data is owned by the caller of the method.

`tab_label`

  Type: `GtkWidget`

  The `GtkWidget` to be used as the label for the page, or `NULL` to use the default label, “page N”.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

#### Return value

Type: `int`

The index (starting from 0) of the prepended page in the notebook, or -1 if function fails.